// Copyright 2017-2025 WIT.COM Inc. All rights reserved.
// Use of this source code is governed by the GPL 3.0

package main

import (
	"os"

	"go.wit.com/log"
)

func okExit(note string) {
	if note != "" {
		log.Info("virtigo exit:", note, "ok")
	}
	me.myGui.Close()
	os.Exit(0)
}

func badExit(err error) {
	log.Info("virtigo failed: ", err)
	me.myGui.Close()
	os.Exit(-1)
}
